function T = transpose(A)
%TRANSPOSE Symbolic matrix transpose.
%	TRANSPOSE(A) computes the tranpose of the symbolic or numeric matrix A.
%
%	Example:  transpose(sym('[cos(x), sin(x); -sin(x), cos(x)]'))

%	Copyright (c) 1993-95 by The MathWorks, Inc.
%	$Revision: 1.6 $  $Date: 1995/03/01 21:39:03 $

if prod(symsize(A)) == 1
   T = A;
else
   T = maple('transpose',A);
end
